Wind River Support Network

HomeDefectsLIN5-21723
Fixed

LIN5-21723 : Security Advisory - linux - CVE-2016-3955

Created: Jun 29, 2016    Updated: May 29, 2018
Resolved Date: Jul 6, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

Linux kernel built with the USB over IP(CONFIG_USBIP_*) support is vulnerable
to a buffer overflow issue. It could occur while receiving USB/IP packets, when
the size value in the packet is greater actual transfer buffer.

A user/process could use this flaw to crash the remote host via kernel
memory corruption or potentially execute arbitrary code.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/b348d7dddb6c4fbfc810b7a0626e8ec9e29f7cbb

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/04/19/1

Other Downloads


Live chat
Online